> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amplemarket.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Account

> Retrieve Account



## OpenAPI

````yaml get /accounts/{id}
openapi: 3.0.1
info:
  title: Amplemarket API V1 Docs
  version: v1
servers:
  - url: https://api.amplemarket.com
security:
  - bearerAuth: []
paths:
  /accounts/{id}:
    parameters:
      - name: id
        in: path
        required: true
        description: Account public ID
        schema:
          type: string
    get:
      tags:
        - Account
      summary: Retrieve Account
      description: Retrieve Account
      parameters: []
      responses:
        '200':
          description: Successful
          content:
            application/json:
              examples:
                Successful:
                  value:
                    id: pub_123
                    name: Acme Corp
                    domain: acme.com
                    linkedin_url: null
                    description: null
                    industry: Technology
                    size: 51-200
                    founded_year: null
                    image_url: null
                    location:
                      city: San Francisco
                      state: null
                      country: US
                    owner: null
                    tags: []
                    insights: null
                    insights_generated_at: null
                    insights_status: unavailable
                    engagement:
                      contacts_count: 0
                      active_contacts_count: 0
                      interested_contacts_count: 0
                      first_contacted_at: null
                      last_contacted_at: null
                      last_engaged_at: null
                      emails_sent: 0
                      emails_received: 0
                      linkedin_sent: 0
                      linkedin_received: 0
                      calls_made: 0
                      calls_received: 0
                      meetings: 0
                    crm: null
                    opportunities: null
                    custom_fields: {}
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    nullable: true
                    type: string
                  domain:
                    nullable: true
                    type: string
                  linkedin_url:
                    nullable: true
                    type: string
                  description:
                    nullable: true
                    type: string
                  industry:
                    nullable: true
                    type: string
                  size:
                    nullable: true
                    type: string
                  founded_year:
                    nullable: true
                    type: integer
                  image_url:
                    nullable: true
                    type: string
                  location:
                    type: object
                    nullable: true
                    properties:
                      city:
                        nullable: true
                        type: string
                      state:
                        nullable: true
                        type: string
                      country:
                        nullable: true
                        type: string
                  owner:
                    type: object
                    nullable: true
                    properties:
                      name:
                        type: string
                      email:
                        type: string
                  tags:
                    type: array
                    items:
                      type: string
                  insights:
                    nullable: true
                    type: string
                  insights_generated_at:
                    type: string
                    format: date-time
                    nullable: true
                  insights_status:
                    type: string
                  engagement:
                    type: object
                    nullable: true
                    properties:
                      contacts_count:
                        type: integer
                      active_contacts_count:
                        type: integer
                      interested_contacts_count:
                        type: integer
                      first_contacted_at:
                        type: string
                        format: date-time
                        nullable: true
                      last_contacted_at:
                        type: string
                        format: date-time
                        nullable: true
                      last_engaged_at:
                        type: string
                        format: date-time
                        nullable: true
                      emails_sent:
                        type: integer
                      emails_received:
                        type: integer
                      linkedin_sent:
                        type: integer
                      linkedin_received:
                        type: integer
                      calls_made:
                        type: integer
                      calls_received:
                        type: integer
                      meetings:
                        type: integer
                  crm:
                    type: object
                    nullable: true
                    properties:
                      provider:
                        type: string
                      account_name:
                        nullable: true
                        type: string
                      account_url:
                        nullable: true
                        type: string
                      owner:
                        type: object
                        nullable: true
                        properties:
                          name:
                            type: string
                          email:
                            type: string
                  opportunities:
                    type: object
                    nullable: true
                    properties:
                      open_count:
                        type: integer
                      closed_count:
                        type: integer
                      total_open_amount:
                        type: number
                      total_closed_amount:
                        type: number
                  custom_fields:
                    type: object
        '404':
          description: Not found
          content:
            application/json:
              examples:
                Not found:
                  value:
                    _errors:
                      - code: not_found
                        title: Not Found
                        detail: Account not found
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
components:
  schemas:
    response_errors_object:
      type: object
      required:
        - object
        - _errors
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - error
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _links:
          $ref: '#/components/schemas/response_links_object'
    response_error_object:
      type: object
      required:
        - code
        - title
        - detail
      additionalProperties: false
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          additionalProperties: false
          properties:
            pointer:
              type: string
    response_links_object:
      type: object
      required:
        - self
      additionalProperties: false
      properties:
        self:
          $ref: '#/components/schemas/response_link_object'
        prev:
          $ref: '#/components/schemas/response_link_object'
        next:
          $ref: '#/components/schemas/response_link_object'
    response_link_object:
      type: object
      required:
        - href
      additionalProperties: false
      properties:
        href:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````